Skip to main content
`Ctrl`+`K`

# DSNEPGetNumFN

Returns the number of functions stored internally by the `DS`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPGetNumFN(DS ds,PetscInt *n)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- n - the number of functions passed in `DSNEPSetFN()`

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPSetFN()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPGetNumFN_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages